CARGO-CHECK(1)

NAME

cargo-check - Check the current project

SYNOPSIS

cargo check [OPTIONS]

DESCRIPTION

Check a local package and all of its dependencies.

If the --package argument is given, then SPEC is a package id specification which indicates which package should be checked. If it is not given, then the current package is checked. For more information on SPEC and its format, see the "cargo help pkgid" command.

Compilation can be configured via the use of profiles which are configured in the manifest. The default profile for this command is dev, but passing the --release flag will use the release profile instead.

OPTIONS

-h, --help
    Print this message.

-p SPEC, --package SPEC ...
    Package to check.

-j IN, --jobs IN
    Number of parallel jobs, defaults to # of CPUs.

--lib
    Check only this package's library.

--bin NAME
    Check only the specified binary.

--example NAME
    Check only the specified example.

--test NAME
    Check only the specified test target.

--bench NAME
    Check only the specified benchmark target.

--release
    Check artifacts in release mode.

--all-features
    Check with all available features.

--features FEATURES
    Space-separated list of features to also check.

--no-default-features
    Do not check the default feature.

--target TRIPLE
    Check for the target triple.

--manifest-path PATH
    Path to the manifest to compile.

-v, --verbose
    Use verbose output.

-q, --quiet
    No output printed to stdout.

--color WHEN
    Coloring: auto, always, never.

EXAMPLES

Check a local package and all of its dependencies

    $ cargo check

Check a package with optimizations

    $ cargo check --release

SEE ALSO

cargo(1)

COPYRIGHT

This work is dual-licensed under Apache 2.0 and MIT terms. See COPYRIGHT file in the cargo source distribution.